Package org.apache.sling.query.impl.selector

## Class SelectorFunction<T>

- java.lang.Object
- - org.apache.sling.query.impl.selector.SelectorFunction<T>

All Implemented Interfaces:
  `Function<Iterator<org.apache.sling.query.api.internal.Option<T>>,​Iterator<org.apache.sling.query.api.internal.Option<T>>>`, `Predicate<T>`, `org.apache.sling.query.api.internal.IteratorToIteratorFunction<T>`

    public class SelectorFunction<T>
    extends Object
    implements org.apache.sling.query.api.internal.IteratorToIteratorFunction<T>, Predicate<T>

### Constructor Summary

Constructors
`SelectorFunction​(String selector, org.apache.sling.query.api.internal.TreeProvider<T> provider, SearchStrategy strategy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.query.api.internal.Option<T>>` `apply​(Iterator<org.apache.sling.query.api.internal.Option<T>> input)`
`boolean` `test​(T resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### SelectorFunction

    public SelectorFunction​(String selector,
                            org.apache.sling.query.api.internal.TreeProvider<T> provider,
                            SearchStrategy strategy)

### Method Detail

#### apply

    public Iterator<org.apache.sling.query.api.internal.Option<T>> apply​(Iterator<org.apache.sling.query.api.internal.Option<T>> input)

Specified by:
  `apply` in interface `Function<Iterator<org.apache.sling.query.api.internal.Option<T>>,​Iterator<org.apache.sling.query.api.internal.Option<T>>>`

#### test

    public boolean test​(T resource)

Specified by:
  `test` in interface `Predicate<T>`